<h3>Movies Form</h3>
<form [formGroup]="movieForm" (ngSubmit)="onSubmit()">
    <input type="hidden" formControlName="id">
  <table class="full-width" cellspacing="0">
    <tr>
      <td>
        <mat-form-field class="full-width">
          <input matInput formControlName="title" type="text" placeholder="Movie Title" />
        </mat-form-field>
      </td>
      <td>
        <mat-form-field class="full-width">
          <input matInput formControlName="directorName" type="text" placeholder="Director Name" />
        </mat-form-field>
      </td>
      <td>
        <mat-form-field class="full-width">
          <input matInput formControlName="moviewYear" type="number" placeholder="Year" max="2018"/>
        </mat-form-field>
      </td>
    </tr>
  </table>
  <table class="full-width" cellspacing="0">
      <tr>
      <td>
        <mat-form-field class="full-width">
          <input matInput formControlName="actors" type="text" placeholder="Actors" />
        </mat-form-field>
      </td>
      <td>
          <mat-form-field class="full-width">            
            <input matInput formControlName="rating" type="number" placeholder="Rating" />
          </mat-form-field>
      </td>
      <td>
        <mat-form-field class="full-width">
            <mat-select matNativeControl required formControlName = "genreId">
              <mat-option *ngFor = "let genre of genres" [value] = "genre.id">{{genre.name}}</mat-option>
            </mat-select>
        </mat-form-field>
      </td>
      
      <td>
          <mat-checkbox formControlName="available">Available? </mat-checkbox>
      </td>
    </tr>
  </table>
  <button *ngIf = "!movie" mat-flat-button color="primary" color="primary">Save</button>
  <button *ngIf = "movie" mat-flat-button color="primary" color="primary">Edit</button>

</form>